package at.ac.uibk.gitsearch.service.mapper;

import at.ac.uibk.gitsearch.domain.ReviewRating;
import at.ac.uibk.gitsearch.service.dto.ReviewRatingDTO;
import org.springframework.stereotype.Service;

@Service
public class ReviewRatingMapper {

    public ReviewRatingMapper() {}

    public ReviewRatingDTO toDto(ReviewRating reviewRating) {
        ReviewRatingDTO reviewRatingDTO = new ReviewRatingDTO();
        reviewRatingDTO.setId(reviewRating.getId());
        reviewRatingDTO.setComment(reviewRating.getComment());
        reviewRatingDTO.setStatus(reviewRating.getStatus());
        reviewRatingDTO.setReviewId(reviewRating.getReview().getId());
        reviewRatingDTO.setUserId(reviewRating.getUser().getId());
        return reviewRatingDTO;
    }

    public ReviewRating toEntity(ReviewRatingDTO reviewRatingDTO) {
        ReviewRating reviewRating = new ReviewRating();
        reviewRating.setComment(reviewRatingDTO.getComment());
        reviewRating.setStatus(reviewRatingDTO.getStatus());
        reviewRating.setId(reviewRatingDTO.getId());
        return reviewRating;
    }
}
